Skip to main content
GET
/
rates
/
{RateId}
cURL
curl https://api.goshippo.com/rates/ee81fab0372e419ab52245c8952ccaeb \
  -H "Authorization: ShippoToken <API_TOKEN>"
{
  "amount": "5.5",
  "amount_local": "5.5",
  "currency": "USD",
  "currency_local": "USD",
  "attributes": [
    "BESTVALUE"
  ],
  "carrier_account": "078870331023437cb917f5187429b093",
  "object_created": "2023-11-07T05:31:56Z",
  "object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
  "object_owner": "pp@gmail.com",
  "provider": "USPS",
  "servicelevel": {
    "name": "Priority Mail Express",
    "terms": "<string>",
    "token": "usps_priority_express",
    "extended_token": "<string>",
    "parent_servicelevel": {
      "name": "Priority Mail Express",
      "terms": "<string>",
      "token": "usps_priority_express",
      "extended_token": "<string>"
    }
  },
  "shipment": "adcfdddf8ec64b84ad22772bce3ea37a",
  "arrives_by": "08:30:00",
  "duration_terms": "Delivery in 1 to 3 business days",
  "estimated_days": 2,
  "included_insurance_price": "1.05",
  "messages": [
    {
      "source": "UPS",
      "code": "carrier_timeout",
      "text": "UPS API did not respond. Please try again in a few minutes."
    }
  ],
  "provider_image_75": "https://cdn2.goshippo.com/providers/75/USPS.png",
  "provider_image_200": "https://cdn2.goshippo.com/providers/200/USPS.png",
  "test": true,
  "zone": "1"
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Path Parameters

RateId
string
required

Object ID of the rate

Response

Rate

amount
string
required

Final Rate price, expressed in the currency used in the sender's country.

Example:

"5.5"

amount_local
string
required

Final Rate price, expressed in the currency used in the recipient's country.

Example:

"5.5"

currency
string
required

Currency used in the sender's country, refers to amount. The official ISO 4217 currency codes are used, e.g. USD or EUR.

Example:

"USD"

currency_local
string
required

Currency used in the recipient's country, refers to amount_local. The official ISO 4217 currency codes are used, e.g. USD or "EUR".

Example:

"USD"

attributes
enum<string>[]
required

An array containing specific attributes of this Rate in context of the entire shipment. Attributes can be assigned CHEAPEST, FASTEST, or BESTVALUE.

Available options:
BESTVALUE,
CHEAPEST,
FASTEST
carrier_account
string
required

Object ID of the carrier account that has been used to retrieve the rate.

Example:

"078870331023437cb917f5187429b093"

object_created
string<date-time>
required

Date and time of Rate creation.

object_id
string
required

Unique identifier of the given Rate object.

Example:

"adcfdddf8ec64b84ad22772bce3ea37a"

object_owner
string
required

Username of the user who created the rate object.

Example:

"pp@gmail.com"

provider
string
required

Carrier offering the rate, e.g., FedEx or Deutsche Post DHL.

Example:

"USPS"

servicelevel
object
required

Contains details regarding the service level for the given rate.

shipment
string
required
Example:

"adcfdddf8ec64b84ad22772bce3ea37a"

arrives_by
string

Predicted time the carrier will deliver the package in the destination's local time zone. In the format HH:MM:SS.

Example:

"08:30:00"

duration_terms
string

Further clarification of the transit times. Often, this includes notes that the transit time as given in "days" is only an average, not a guaranteed time.

Example:

"Delivery in 1 to 3 business days"

estimated_days
integer<int64>

Estimated transit time (duration) in days of the Parcel at the given servicelevel. Please note that this is not binding, but only an average value as given by the provider. Shippo is not able to guarantee any transit times.

Example:

2

included_insurance_price
string

Cost to the user to insure the Rate for the requested amount of coverage, if insurance coverage was requested. Expressed in the currency used in the sender's country. Will be null if no insurance coverage was requested, or if insurance is requested from a non-standard insurance provider. Please note this price is already included in the amount and amount_local fields on the Rate. Do not add this field to them.

Example:

"1.05"

messages
object[]
provider_image_75
string

URL to the provider logo with max. dimensions of 75*75px. Please refer to the provider's Logo Usage Guidelines before using the logo.

Example:

"https://cdn2.goshippo.com/providers/75/USPS.png"

provider_image_200
string

URL to the provider logo with max. dimensions of 200*200px. Please refer to the provider's Logo Usage Guidelines before using the logo.

Example:

"https://cdn2.goshippo.com/providers/200/USPS.png"

test
boolean

Indicates whether the object has been created in test mode.

zone
string

The parcel's transit zone token. These tokens can vary depending on the provider.

Example:

"1"